1. Endpoint
2. Authentication
Include the API key in the x-api-key header:x-api-key
3. Request Parameter
string
required
Unique ID of the submission to be deleted
string
required
Use the fields parameter to selectively delete specific types of data.
You can input one of the following options:
id_imageselfie_imagedata: Final confirmed dataset as a result of the processOCR_raw(*case-sensitive): RAW dataset extracted by OCRocr: Dataset converted from extracted OCR to standardized formatreview: Result dataset reviewed by user using OCR results (automatically processed with the same value when OCR recognition score is high)applicant_idemailuseridadditional_listduplicated_informationcustom_duplicated_informationinjection_action
string
Use the data_fields parameter to selectively delete specific types of personal information within the data field.
data_fields only works when the data field is declared in the fields parameter, and in this case, if no value is provided in the data_fields parameter, all sub-data under data will be deleted.
Data refers to the final confirmed dataset as a result of the process.
You can input one of the following options:age_groupfirst_namelast_namefull_name— refers to the same field asnamefull_name_enname— refers to the same field asfull_namegendernationalitydate_of_birthaddress_cityaddress_countryaddress_stateaddress_streetaddress_street2address_zipcodeaddress_globalCodeaddress_compoundCodeaddress_formattedaddress_inputaddress_detailip_addressidcard_issuingCountryidcard_issueDateidcard_expireDateidTypedocumentNumberidentityNumberssnNumberphoneNumbercf1cf2cf3
name and full_name refer to the same field. Either key applies to the same data.string
Email of the administrator who performed the deletion
3-1. Data to be Deleted
- parameters declared from fields and data_fields
3-2. Data to be Retained
- In submitted cases, parameters not declared in fields, and when specific parameters are specified in data_fields, unspecified parameters will not be deleted and will be retained.
4. Request Example
Using fields only
Using fields and data_fields
Using multiple fields and data_fields
5. Response
5-1. Success Response
5-2. Error Response
If an error occurs, a 400 status code is returned along with details in the response body:error.json
5-3. Error Codes
Related documents
Getting Started
The ID check API is a solution designed to help enterprise clients manage KYC (Know Your Customer) and AML (Anti-Money Laundering) processes more systematically and efficiently. This API supports seamless integration with existing systems and provides features to securely handle and manage user data.
GET/Submission Response Fields
Detailed definitions of all fields included in GET/Submission API responses
Overview
Monitor ARGOS ID check’s KYC process status changes in real-time. Receive instant updates through webhooks.